This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256035 - sata - Aggressive Link Power Management (alpm) min_power and medium_power complete freeze [NEEDINFO]
sata - Aggressive Link Power Management (alpm) min_power and medium_power com...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 10:23 EDT by stanislav.simko
Modified: 2015-11-23 12:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:21:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description stanislav.simko 2015-08-23 10:23:06 EDT
Description of problem:
setting ALPM (Aggressive Link Power Management)
/sys/class/scsi_host/host0/link_power_management_policy to min_power or medium_power 
results in system freeze. Need to make hard reboot.


Version-Release number of selected component (if applicable):

running on Fedora 22, 4.1.5-200.fc22.x86_64. Noticed also on older versions of the 4.1 kernel. Affects probably all distros, since here it's reported also for archlinux (https://bbs.archlinux.org/viewtopic.php?pid=1555658#p1555658)
system is lenovo thinkpad t540p, ahci mode, hdd is Hitachi/HGST Travelstar Z7K500


How reproducible:
using tlp: set 
"SATA_LINKPWR_ON_AC" or "SATA_LINKPWR_ON_BAT" to "min_power" or "medium_power"
in /etc/default/tlp and restart tlp

or directly:
echo min_power > /sys/class/scsi_host/host0/link_power_management_policy
or
echo medium_power > /sys/class/scsi_host/host0/link_power_management_policy

Then normally work and system will eventually freeze (this usually takes up 10 minutes during normal work but does not occur if the system is idle).

Steps to Reproduce:
1.
2.
3.

Actual results:

complete system freeze. Need to do hard reboot. I was unable to record any additional info, since the system is completely unresponsive (can't go to tty2, change numlock state...)

Expected results:

decrease power consumption of the CPU package (Haswell architecture)

Additional info:

the error does not occur on kernel 3.19.8, fedora 22
Comment 1 Justin M. Forbes 2015-10-20 15:36:41 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Fedora Kernel Team 2015-11-23 12:21:21 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.